Thank you for your donation


Post Reply 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Solved: lirc X10 stopped working after apt-get upgrade
15th Apr, 2016, 02:25 AM
Post: #1
lirc X10 stopped working after apt-get upgrade
Hi all,

I have a Raspberry Pi 2B with an X10 remote. Everything fine so far, until last week I decided to change a running system, and apt-get updated and upgraded.

After reboot, remote not working.
mode2 --raw still responds to key presses, lirc deamon starts without complaints, but irw does not output anything, it doesn't even get to that, as it closes instantly without *any* output.

Terminal
xbian@mumepc ~ $ irw
xbian@mumepc ~ $

The only thing I found and thought might be a problem was the following lines in dmesg:

Code:
[    9.741303] bcm2708_rng_init=afbfe000
[   10.152178] random: nonblocking pool is initialized
[   10.167971] lirc_dev: IR Remote Control driver registered, major 244
[   10.304103] lirc_rpi: module is from the staging directory, the quality is unknown, you have been warned.
[   10.352095] bcm2708_i2c 3f804000.i2c: BSC1 Controller at 0x3f804000 (irq 79) (baudrate 100000)
[   10.475211] snd-hifiberry-digi sound: ASoC: CPU DAI (null) not registered
[   10.475260] snd-hifiberry-digi sound: snd_soc_register_card() failed: -517
[   10.508605] pinctrl-bcm2835 3f200000.gpio: pin gpio18 already requested by lirc_rpi; cannot claim for 3f203000.i2s
[   10.508633] pinctrl-bcm2835 3f200000.gpio: pin-18 (3f203000.i2s) status -22
[   10.508648] pinctrl-bcm2835 3f200000.gpio: could not request pin 18 (gpio18) from group gpio18  on device pinctrl-bcm2835
[   10.508659] bcm2708-i2s 3f203000.i2s: Error applying setting, reverse things back
[   10.509395] snd-hifiberry-digi sound: ASoC: CODEC DAI wm8804-spdif not registered
[   10.509484] snd-hifiberry-digi sound: snd_soc_register_card() failed: -517
[   10.565885] smsc95xx v1.0.4
[   10.656249] smsc95xx 1-1.1:1.0 eth0: register 'smsc95xx' at usb-3f980000.usb-1.1, smsc95xx USB 2.0 Ethernet, b8:27:eb:fc:49:ad
[   10.657275] usbcore: registered new interface driver smsc95xx
[   10.657469] snd-hifiberry-digi sound: ASoC: CODEC DAI wm8804-spdif not registered
[   10.657489] snd-hifiberry-digi sound: snd_soc_register_card() failed: -517
[   11.023585] wm8804 1-003b: revision E
[   11.029799] snd-hifiberry-digi sound: wm8804-spdif <-> 3f203000.i2s mapping ok
[   11.262449] lirc_rpi: auto-detected active high receiver on GPIO pin 18
[   11.262803] lirc_rpi lirc_rpi: lirc_dev: driver lirc_rpi registered at minor = 0
[   11.262818] lirc_rpi: driver registered!
bcm2708 and lirc_rpi seem to fight over a GPIO pin (however, lirc seems to win?)

Can I discourage lirc from using the GPIO pins? The X10 uses a USB connector anyway:
Code:
[    4.312574] usb 1-1.3: new low-speed USB device number 4 using dwc_otg
[    4.429815] usb 1-1.3: New USB device found, idVendor=0bc7, idProduct=0006
[    4.429874] usb 1-1.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    4.429898] usb 1-1.3: Product: USB Receiver
[    4.429922] usb 1-1.3: Manufacturer: X10 Wireless Technology Inc

Any more information I can provide? Really don't know how to proceed here Sad

Thanks in advance Smile
Find all posts by this user
Quote this message in a reply
15th Apr, 2016, 03:04 AM
Post: #2
RE: lirc X10 stopped working after apt-get upgrade
First question, do you have staging and/or devel repo enabled in /etc/apt/sources.list.d/xbian.list?
Find all posts by this user
Quote this message in a reply
15th Apr, 2016, 06:03 AM
Post: #3
RE: lirc X10 stopped working after apt-get upgrade
(15th Apr, 2016 03:04 AM)Nachteule Wrote:  First question, do you have staging and/or devel repo enabled in /etc/apt/sources.list.d/xbian.list?

Don't think so.... *checks*

Nope:
Terminal
xbian@mumepc ~ $ cat /etc/apt/sources.list.d/xbian.list
deb mirror://apt.xbian.org/mirror.txt stable main rpi2-jessie
### deb mirror://apt.xbian.org/mirror.txt staging main rpi2-jessie
### deb mirror://apt.xbian.org/mirror.txt devel main rpi2-jessie
Find all posts by this user
Quote this message in a reply
15th Apr, 2016, 06:39 AM
Post: #4
RE: lirc X10 stopped working after apt-get upgrade
Ok, so lirc package was not updated.

If you do not need rpi lirc, you could disable it in /boot/config.txt

Code:
#dtoverlay=lirc-rpi

And next:

please check if module lirc_atiusb is loaded. It wasn't there in older kernel packages, so I suppose you don't need it

if it is loaded, try to blacklist it by adding line

Quote:blacklist lirc_atiusb

to file /etc/modprobe.d/xbian.conf

(dont forget to add <return> to this line)
Find all posts by this user
Quote this message in a reply
15th Apr, 2016, 08:00 AM
Post: #5
RE: lirc X10 stopped working after apt-get upgrade
(15th Apr, 2016 06:39 AM)Nachteule Wrote:  If you do not need rpi lirc, you could disable it in /boot/config.txt

Code:
#dtoverlay=lirc-rpi
Actually I had that disabled already. Don't know why I still get the error in dmesg.

(15th Apr, 2016 06:39 AM)Nachteule Wrote:  please check if module lirc_atiusb is loaded. It wasn't there in older kernel packages, so I suppose you don't need it

if it is loaded, try to blacklist it by adding line

Quote:blacklist lirc_atiusb

to file /etc/modprobe.d/xbian.conf

(dont forget to add <return> to this line)
Yaaaay, I vividly remember this workaround to make it work in the first place. Back then, the X10 was recognized as a keyboard, and only left/right buttons worked. If it had shown similar behavior, I'd have searched for the blacklist again, but it didn't do anything at all, so I didn't think of that....

Anyway, added the module to the blacklist, reboot, worked again.

Big thanks, also from my girlfriend Wink
Find all posts by this user
Quote this message in a reply
Post Reply 


Possibly Related Threads...
Thread: Author Replies Views: Last Post
  XBMC Newbie and CEC Stopped working Stuart White 21 19,123 18th Mar, 2014 10:49 PM
Last Post: tomtomclub
  Logitech Harmony 300 stopped working after XBian 1.0 Beta 2 install Nakeman 12 10,721 2nd Dec, 2013 05:58 PM
Last Post: Nakeman

Forum Jump: